DESCRIPTION = "sysmocom config backup and restore scripts"
LICENSE = "GPLv3+"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"
PR = "r12"

SRC_URI = " \
	file://sysmocom-backup \
	file://sysmocom-restore \
	file://data.mount \
	file://sysmocom-restore.service \
	file://default.files \
"
RDEPENDS_${PN} = "tar"
RCONFLICTS_${PN} = "symocom-backup"

inherit systemd

do_install() {
	install -d ${D}${sbindir}
	install -m 0755 ${WORKDIR}/sysmocom-backup ${D}${sbindir}/
	install -m 0755 ${WORKDIR}/sysmocom-restore ${D}${sbindir}/

	install -d ${D}${sysconfdir}/sysmocom/backup.d
	install -m 0644 ${WORKDIR}/default.files ${D}${sysconfdir}/sysmocom/backup.d/

	install -d ${D}${systemd_unitdir}/system
	install -m 0644 ${WORKDIR}/data.mount ${D}${systemd_unitdir}/system/
	install -m 0644 ${WORKDIR}/sysmocom-restore.service ${D}${systemd_unitdir}/system/
}

PACKAGES =+ "${PN}-default"

FILES_${PN}-default = "${sysconfdir}/sysmocom/backup.d/"

SYSTEMD_PACKAGES = "${PN}"
SYSTEMD_SERVICE_${PN} = "data.mount sysmocom-restore.service"
SYSTEMD_AUTO_ENABLE_${PN} = "enable"
